%global debug_package   %{nil}

Name:           PEGTL
Version:        2.8.0
Release:        3
Summary:        Parsing Expression Grammar Template Library
License:        MIT
URL:            https://github.com/taocpp/PEGTL/
Source0:        https://github.com/taocpp/%{name}/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make

Patch0001: bugfix-gcc-10.patch

%description
The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
C++11 header-only library for creating parsers according to a Parsing
Expression Grammar (PEG).

%package devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%prep
%setup -q -n %{name}-%{version} 
%patch0001 -p1

%check
make

%install
install -d -m 0755 %{buildroot}%{_includedir}
pushd include/
cp -R tao/ %{buildroot}%{_includedir}
popd

%files devel
%doc README.md doc/
%license LICENSE
%{_includedir}/tao/pegtl.hpp
%{_includedir}/tao/pegtl

%changelog
* Mon Aug 2 2021 Shenmei Tu <tushenmei@huawei.com> - 2.8.0-3
- bugfix-gcc-10.patch

* Sat Jul 18 2020 Guoshuai Sun <sunguoshuai@huawei.com> - 2.8.0-2
- Package init
